## konqueror 19.12.3

=== about/CMakeLists.txt ===
add_library(konq_aboutpage MODULE konq_aboutpage.cpp)

target_link_libraries(konq_aboutpage
   KF5::KHtml
   KF5::IconThemes
   Qt5::Widgets
)

install(TARGETS konq_aboutpage DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES
    top-left-konqueror.png
    launch.html
    intro.html
    specs.html
    tips.html
    plugins.html
    plugins_rtl.html
    konq.css
    DESTINATION ${KDE_INSTALL_DATADIR}/konqueror/about)
install(FILES konqaboutpage.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install(FILES konq_aboutpage.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== sidebar/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR})
find_package(KF5 REQUIRED COMPONENTS JobWidgets)

# TODO: rewrite to KDirModel
if (${QT_QT3SUPPORT_FOUND})
add_subdirectory( trees )
endif()

add_subdirectory( web_module )
add_subdirectory( history_module )
add_subdirectory( places_module )
add_subdirectory( default_entries )
if(BUILD_TESTING)
    add_subdirectory( test )
endif()

########### konqsidebarplugin lib: contains the base class for plugins ###############

set(konqsidebarplugin_LIB_SRCS konqsidebarplugin.cpp )

add_library(konqsidebarplugin SHARED ${konqsidebarplugin_LIB_SRCS})

target_link_libraries(konqsidebarplugin KF5::Parts KF5::KDELibs4Support KF5::KIOFileWidgets)
set_target_properties(konqsidebarplugin PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "5" )
install(TARGETS konqsidebarplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### konq_sidebar plugin: contains the KParts used by konqueror ###############

set(konq_sidebar_PART_SRCS 
 sidebar_part.cpp
 sidebar_widget.cpp
 module_manager.cpp
 konqmultitabbar.cpp
)

add_library(konq_sidebar MODULE ${konq_sidebar_PART_SRCS})

target_link_libraries(konq_sidebar KF5::Parts KF5::Konq konqsidebarplugin KF5::KCMUtils KF5::KDELibs4Support )

install(TARGETS konq_sidebar DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES konq_sidebartng.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES konqsidebartngrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES konqsidebarplugin.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
)

add_library(KF5Konq ${konq_LIB_SRCS})

include(GenerateExportHeader)
generate_export_header(KF5Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF5::Konq ALIAS KF5Konq)

target_link_libraries(KF5Konq
    PUBLIC
    KF5::XmlGui
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::CoreAddons
    KF5::Service
    KF5::Parts
    PRIVATE
    KF5::Bookmarks
    KF5::I18n
    ${ZLIB_LIBRARY}
)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF5Konq PRIVATE ${ZLIB_INCLUDE_DIR})


set_target_properties(KF5Konq PROPERTIES
    VERSION ${KONQ_VERSION_STRING}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF5Konq EXPORT KF5KonqTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

=== plugins/autorefresh/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"autorefresh\")

set(autorefresh_PART_SRCS autorefresh.cpp )

add_library(autorefresh MODULE ${autorefresh_PART_SRCS})



target_link_libraries(autorefresh  KF5::Parts KF5::IconThemes )

install(TARGETS autorefresh  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

=== plugins/babelfish/CMakeLists.txt ===
project(babelfish)
add_definitions(-DTRANSLATION_DOMAIN=\"babelfish\")
########### babelfishplugin ###############

set(babelfishplugin_PART_SRCS plugin_babelfish.cpp )

add_library(babelfishplugin MODULE ${babelfishplugin_PART_SRCS})

target_link_libraries(babelfishplugin KF5::Parts)

install(TARGETS babelfishplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES plugin_babelfish.rc plugin_translator.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES translaterc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES plugin_babelfish.rc plugin_translator.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES plugin_babelfish.rc plugin_translator.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

set(babelfish_ICONS 16-actions-babelfish.png 22-actions-babelfish.png)

ecm_install_icons(ICONS ${babelfish_ICONS} DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmlsettingsplugin\")

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

add_library(khtmlsettingsplugin MODULE ${khtmlsettingsplugin_PART_SRCS})



target_link_libraries(khtmlsettingsplugin  KF5::Parts)

install(TARGETS khtmlsettingsplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES khtmlsettingsplugin.rc khtmlsettingsplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

=== plugins/uachanger/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"uachangerplugin\")
set(uachangerplugin_PART_SRCS uachangerplugin.cpp )

add_library(uachangerplugin MODULE ${uachangerplugin_PART_SRCS})

target_link_libraries(uachangerplugin  KF5::Parts )

install(TARGETS uachangerplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES uachangerplugin.rc uachangerplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES uachangerplugin.rc uachangerplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )

=== settings/konq/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkonq\")
set(kcm_konq_PART_SRCS
   behaviour.cpp
   konqkcmfactory.cpp
#    kcustommenueditor.cpp
)

add_library(kcm_konq MODULE ${kcm_konq_PART_SRCS})


target_link_libraries(kcm_konq KF5::KCMUtils KF5::KIOCore KF5::I18n KF5::KIOWidgets Qt5::DBus)

install(TARGETS kcm_konq  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############
install( FILES
   filebehavior.desktop
   #fileappearance.desktop
   DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES overlapping.png onlyone.png  DESTINATION  ${KDE_INSTALL_DATADIR}/kcontrol/pics )

=== settings/konqhtml/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkonqhtml\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/css
    )


set(kcm_konqhtml_PART_SRCS 
   generalopts.cpp
   htmlopts.cpp 
   jsopts.cpp 
   javaopts.cpp 
   pluginopts.cpp 
   appearance.cpp 
   khttpoptdlg.cpp 
   policydlg.cpp 
   main.cpp 
   jspolicies.cpp 
   policies.cpp 
   domainlistview.cpp 
   filteropts.cpp
   css/template.cpp
   css/kcmcss.cpp
   )

ki18n_wrap_ui(kcm_konqhtml_PART_SRCS
    nsconfigwidget.ui
    advancedTabOptions.ui
    css/csscustom.ui
    css/cssconfig.ui
    )

add_library(kcm_konqhtml MODULE ${kcm_konqhtml_PART_SRCS})

target_link_libraries(kcm_konqhtml
   KF5::Parts
   KF5::KDELibs4Support
)

install(TARGETS kcm_konqhtml  DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES khtml_general.desktop khtml_behavior.desktop khtml_java_js.desktop khtml_appearance.desktop khtml_filter.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES css/template.css  DESTINATION  ${KDE_INSTALL_DATADIR}/kcmcss )

=== webenginepart/src/CMakeLists.txt ===
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Wallet)

add_definitions(-DTRANSLATION_DOMAIN=\"webenginepart\")

if(BUILD_TESTING)
  add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(kwebenginepartlib_LIB_SRCS
    webenginepart.cpp
    webenginepart_ext.cpp
    webengineview.cpp
    webenginepage.cpp
    websslinfo.cpp
    webhistoryinterface.cpp
    webenginepartdownloadmanager.cpp
    webenginewallet.cpp
    webengineparterrorschemehandler.cpp
    webenginepartkiohandler.cpp
    webenginepartcookiejar.cpp
    settings/webenginesettings.cpp
    settings/webengine_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
    ui/featurepermissionbar.cpp
)

if(NOT Qt5WebEngineWidgets_VERSION VERSION_LESS "5.12.0")
  add_definitions(-DUSE_QWEBENGINE_URL_SCHEME)
  add_definitions(-DDOWNLOADITEM_KNOWS_PAGE)
else()
  list(APPEND kwebenginepartlib_LIB_SRCS webengineparthtmlembedder.cpp)
endif()

qt5_wrap_ui(kwebenginepartlib_LIB_SRCS
                  ui/searchbar.ui
)
ecm_qt_declare_logging_category(kwebenginepartlib_LIB_SRCS
    HEADER webenginepart_debug.h
    IDENTIFIER WEBENGINEPART_LOG
    CATEGORY_NAME org.kde.webenginepart
)
add_library(kwebenginepartlib ${kwebenginepartlib_LIB_SRCS})

generate_export_header(kwebenginepartlib)

target_link_libraries(kwebenginepartlib
    PUBLIC
        Qt5::Core
        Qt5::DBus
        Qt5::Gui
        Qt5::Widgets
        Qt5::WebEngineWidgets
        KF5::Parts
        KF5::Wallet
    PRIVATE
        Qt5::PrintSupport
        KF5::SonnetCore
        KF5::IconThemes #for KIconLoader used by WebEnginePartErrorSchemeHandler
        KF5::WindowSystem  # for KUserTimestamp
)

target_include_directories(kwebenginepartlib PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>"
)
set_target_properties(kwebenginepartlib PROPERTIES OUTPUT_NAME kwebenginepart)

install(TARGETS kwebenginepartlib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


add_library(webenginepart MODULE webenginepartfactory.cpp)
kcoreaddons_desktop_to_json(webenginepart webenginepart.desktop)

target_link_libraries(webenginepart kwebenginepartlib)

install(TARGETS webenginepart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

install(FILES webenginepart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES webenginepart.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/webenginepart)

install(FILES error.html DESTINATION ${KDE_INSTALL_DATADIR}/webenginepart)

=== plugins/fsview/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(libfsview_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../treemap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../fsview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../scan.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../inode.cpp
    )


set(scantest_SRCS scantest.cpp ${libfsview_SRCS})

add_executable(scantest ${scantest_SRCS})
ecm_mark_as_test(scantest)

target_link_libraries(scantest  KF5::KIOCore KF5::KDELibs4Support Qt5::Widgets)

=== debian/changelog ===
konqueror (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:12:40 +0000

konqueror (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:37 +0000

konqueror (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:46 +0000

konqueror (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * Drop depreciated khtml build dependency.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:50:28 +0000

konqueror (4:19.08.3-0ubuntu1) focal; urgency=medium

  * Sync changes from Debian unstable. Remaining changes:
    - Don't patch to build on architectures where QtWebEngine is not
      available.
    - data package for translations.
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:35:08 +0000

konqueror (4:19.04.3-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 16:49:33 +0000

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               kinit-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev,
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5iconthemes-dev,
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.37.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5su-dev,
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev,
               libqt5x11extras5-dev,
               libtidy-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev,
               qtwebengine5-dev (>= 5.6.1~),
               zlib1g-dev,
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: konqueror
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: core libraries for Konqueror - data files
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5konq6 (= ${binary:Version}),
         libkf5xmlgui-dev,
         ${misc:Depends},
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5konq-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	$(overridden_command) --fail-missing

## konqueror 20.04.0

=== debian/changelog ===
konqueror (4:20.04.0-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 07 Jan 2018 14:14:20 +0000]
  * Remove armhf from webengine arches since raspbian doesn't currently have it.

  [changes introduced in 4:18.12.0-1+rpi1 by Peter Michal Green]
  * Also remove armhf from architecture list for webengine directory in debian/konqueror.install

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 12 May 2020 10:19:40 +0000

konqueror (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.38.0
    - add libkf5dbusaddons-dev, libkf5jobwidgets-dev, libkf5windowsystem-dev,
      and libqt5texttospeech5-dev
    - remove libkf5khtml-dev, libkf5widgetsaddons-dev, and libtidy-dev,
      no more used
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - switch from dh_install to dh_missing for --fail-missing
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the patches:
    - upstream_Fix-CMakeLists.txt-to-compile-WebEnginePartHtmlEmbed.patch:
      drop, backported from upstream
    - optional-qtwebengine.diff: update
  * Restore compatibility with KBookmarkMenu < 5.69; patch
    old-kbookmarkmenu.diff.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 16:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,36 +8,39 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.31.0~),
+               debhelper-compat (= 12),
+               dh-exec,
+               extra-cmake-modules (>= 5.38.0~),
                gettext,
-               kinit-dev,
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
+               kinit-dev (>= 5.38.0~),
+               libkf5activities-dev (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
                libkf5bookmarks-dev,
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.38.0~),
+               libkf5dbusaddons-dev (>= 5.38.0~),
+               libkf5doctools-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5jobwidgets-dev,
+               libkf5kcmutils-dev (>= 5.38.0~),
+               libkf5kdelibs4support-dev (>= 5.38.0~),
                libkf5kio-dev (>= 5.37.0~),
-               libkf5parts-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.38.0~),
                libkf5su-dev,
-               libkf5wallet-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev,
+               libkf5wallet-dev (>= 5.38.0~),
+               libkf5windowsystem-dev (>= 5.38.0~),
+               libqt5texttospeech5-dev (>= 5.9.0~),
                libqt5x11extras5-dev,
-               libtidy-dev,
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.9.0~),
                qtscript5-dev,
-               qtwebengine5-dev (>= 5.6.1~),
+               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 i386 mipsel],
                zlib1g-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
 
 Package: konq-plugins
 Architecture: any
@@ -103,26 +106,11 @@
  .
  This package is part of the KDE base applications module.
 
-Package: libkf5konq-data
-Section: libs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
-Description: core libraries for Konqueror - data files
- This package contains libraries used by several KDE 4 applications,
- particularly Konqueror.
- .
- This package is part of the KDE base applications module.
-
 Package: libkf5konq-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         ${misc:Depends},
+Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -133,9 +121,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-10~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## konqueror 20.08.1

=== debian/changelog ===
konqueror (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)
  * Update install files.
  * Update lintain overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:56 +0100

konqueror (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:49:26 +0100

konqueror (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:40:08 +0100

konqueror (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:19:51 +0100

konqueror (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:38:19 +0100

konqueror (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:24:17 +0100
